package access;

import okhttp3.*;

public class YouAreEll {
    private static final MediaType JSON = MediaType.parse("application/json; charset=utf-8");
    private OkHttpClient ok = new OkHttpClient();

    public YouAreEll() {
    }

    public String get_ids() {
        return MakeURLCall("/ids", "GET", "");
    }
    public String get_user_id(String url) { return MakeURLCall(url, "GET", ""); }
    public String post_ids(String jpayload) { return MakeURLCall("/ids", "POST", jpayload); }
    public String put_ids(String jpayload){ return MakeURLCall("/ids", "PUT", jpayload); }

    public String get_messages(String url) { return MakeURLCall(url, "GET", ""); }
    public String post_messages(String url, String jpayload) { return MakeURLCall(url, "POST", jpayload); }

    private String MakeURLCall(String mainurl, String method, String jpayload) {
        String serverUrl = "http://zipcode.rocks:8085";
        Request okRequest;
        Response talkBack;
        RequestBody okBody = RequestBody.create(JSON, jpayload);
        try {
            switch(method) {
                case "PUT":
                    okRequest = new Request.Builder().url(serverUrl + mainurl).put(okBody).build();
                    break;
                case "POST":
                    okRequest = new Request.Builder().url(serverUrl + mainurl).post(okBody).build();
                    break;
                case "GET":
                    okRequest = new Request.Builder().url(serverUrl + mainurl).build();
                    break;
                default:
                    okRequest = null;
                    break;
            }
            talkBack = ok.newCall(okRequest).execute();
            return talkBack.body().string()
                    .replaceAll("\\\\", "")
                    .replaceAll("\"", "");
        }
        catch (Exception e) {
            System.out.println(e.getMessage());
        }
        return "";
    }
}
