package client.view;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;
import java.util.List;

public class IO {
    private BufferedReader console;

    public IO() {
        console = new BufferedReader(new InputStreamReader(System.in));
    }

    public void prettyPrintMessage(String msg) {
        String[] out = msg.replaceAll("}", "").split(",");
        print(out[out.length - 1].replace(":", ": "));
    }

    public void prettyPrint(String msg) {
        //do some formatting
        print(msg);
    }

    public void print(String msg) {
        System.out.println(msg);
    }

    public void printHistory(List<String> history) {
        print("History:");
        history.forEach(this::print);
    }

    public String input(String msg) throws IOException {
        print(msg);
        return console.readLine();
    }
}
