package client.view;

import access.YouAreEll;

public class ResponseListener implements Runnable {
    private IO io;
    private YouAreEll access;
    private String messages;
    private String lastResponse;

    public ResponseListener() {
        io = new IO();
        access = new YouAreEll();
    }
    public void run() {
        messages = access.get_messages("/messages");
        lastResponse = messages;
        io.print("hello from thread, above while loop");
        try {
            while (true) {
                if (Thread.interrupted()) throw new InterruptedException();
                else Thread.sleep(2000);
                messageHandler();
            }
        } catch (InterruptedException e) {
            io.print("Thread end");
        }
    }
    private void messageHandler() {
        messages = access.get_messages("/messages");

        if (isPM() && isNewMessage()) {
            io.print("PM!!!");
            newMessage();
        } else if (isNewMessage()) {
            newMessage();
        }
        lastResponse = messages;
    }
    private void newMessage() {
        io.prettyPrintMessage(messages.split(",\\{")[0]);
    }
    private boolean isNewMessage() {
        return !messages.split(",")[1]
                        .equals(lastResponse.split(",")[1]);
    }
    private boolean isPM() {
        String m = messages.split(",")[3];
        return m.equals("toid:jard");
    }
}
