package controller;

import access.YouAreEll;
import com.fasterxml.jackson.databind.ObjectMapper;
import model.Id;

import java.io.IOException;
import java.util.List;

public class IdController implements Controller {
    private YouAreEll access = new YouAreEll();
    private ObjectMapper om = new ObjectMapper();
    private List<String> commands;
    private Id id;
    //--------------------------------------------------------------------------------------
    //master routing
    @Override
    public String route(List<String> commands) throws IOException {
        this.commands = commands;

        if (commands.size() == 1) return listAll();
        else return postId();
    }
    //--------------------------------------------------------------------------------------
    //access methods
    private String listAll() {
        return access.get_ids();
    }
    private String postId() throws IOException {
        id = new Id(commands.get(1), commands.get(2));
        String idHash = access.get_user_id("/ids/" + id.getGithub());

        if (!idHash.equals("")) {
            id.setUserid(idHash);
            return access.put_ids(om.writeValueAsString(id));
        }
        else return access.post_ids(om.writeValueAsString(id));
    }
}
